View Issue Details

IDProjectCategoryView StatusLast Update
0017368mantisbtplug-inspublic2014-12-08 00:34
ReporterdregadAssigned Todregad 
PrioritylowSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017368: Provide plugin's basename in error messages
Description

We should provide the plugin's basename in error messages to aid users identifying what plugin is having issues.

Additional Information

As per grangeway's suggestion in https://github.com/mantisbt/mantisbt/pull/179#commitcomment-6388647

TagsNo tags attached.

Activities

dregad

dregad

2014-05-22 11:37

developer   ~0040623

https://github.com/mantisbt/mantisbt/pull/179

grangeway

grangeway

2014-06-01 17:27

reporter   ~0040704

This just looks to be waiting final merge

Related Changesets

MantisBT: master d992cf21

2014-05-22 09:05:03

Damien Regad

Details Diff
More plugin error messages improvements

- ERROR_PLUGIN_PAGE_NOT_FOUND: Add plugin basename and page name
- ERROR_PLUGIN_FILE_NOT_FOUND: new message based on above
- New specific messages for invalid page and file specification
(ERROR_PLUGIN_INVALID_PAGE and ERROR_PLUGIN_INVALID_FILE) instead of
using ERROR_GENERIC

Fixes 0017368
mod - core/constant_inc.php Diff File
mod - core/plugin_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - plugin.php Diff File
mod - plugin_file.php Diff File

MantisBT: master 506088e1

2014-06-02 04:41:05

Damien Regad

Details Diff
Various plugin-related fixes and enhancements

- Check that a plugin is loaded when accessing its pages to prevent
errors
- Improved error messages
- Simplified handling of MantisCore pseudo-plugin
- Remove direct access to $g_plugin_cache global variable
- Improved plugin file validation regex
- No re-registration of previously registered plugins
- Fixed data type issues in plugin API
- Various code cleanup and whitespace fixes

Fixes 0017359, 0017366, 0017368
mod - core/constant_inc.php Diff File
mod - core/plugin_api.php Diff File
mod - core/print_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - manage_plugin_page.php Diff File
mod - plugin.php Diff File
mod - plugin_file.php Diff File

Issue History

Date Modified Username Field Change
2014-05-22 05:16 dregad New Issue
2014-05-22 05:16 dregad Status new => assigned
2014-05-22 05:16 dregad Assigned To => dregad
2014-05-22 11:37 dregad Note Added: 0040623
2014-06-01 17:27 grangeway Note Added: 0040704
2014-06-02 05:01 dregad Changeset attached => MantisBT master 506088e1
2014-06-02 05:02 dregad Changeset attached => MantisBT master d992cf21
2014-06-02 05:03 dregad Status assigned => resolved
2014-06-02 05:03 dregad Fixed in Version => 1.3.0-beta.1
2014-06-02 05:03 dregad Resolution open => fixed
2014-12-08 00:34 vboctor Status resolved => closed